#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: Postfix
# DESCRIPTION: sendmail-compatible mail transport agent
# WWW: http://www.postfix.org/

daemon daemon/postfix/pwcheck {
	need = system/bootmisc;
	exec daemon = /usr/sbin/pwcheck;
	pid_file = /var/run/pwcheck.pid;
	forks;
}

service daemon/postfix/newaliases {
	need = system/bootmisc;
	exec start = /usr/sbin/newaliases;
}

daemon daemon/postfix {
	need = daemon/postfix/newaliases;
	need = system/bootmisc;
	use = daemon/postfix/pwcheck;
	provide = virtual/mta;
	exec daemon = /usr/sbin/postfix start;
	pid_file = /var/spool/postfix/pid/master.pid;
	forks;
	exec kill = /usr/sbin/postfix stop;
}
