#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: 
# DESCRIPTION: 
# WWW: 

service system/coldplug/pci {
	need = system/initial;
	use = system/modules/depmod system/modules;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/usb {
	need = system/coldplug/pci system/initial;
	use = system/modules/depmod system/modules;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/scsi {
	need = system/initial system/coldplug/pci;
	use = system/modules/depmod system/modules;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/input {
	need = system/initial system/coldplug/pci;
	use = system/modules/depmod system/modules system/coldplug/isapnp;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/ide {
	need = system/initial system/coldplug/pci;
	use = system/modules/depmod system/modules;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/isapnp {
	need = system/initial;
	use = system/modules/depmod system/modules;
	exec start = /etc/hotplug/${NAME}.rc start;
	exec stop = /etc/hotplug/${NAME}.rc stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}
	
virtual system/coldplug {
	need = system/bootmisc system/coldplug/pci system/coldplug/usb system/coldplug/isapnp system/coldplug/input system/coldplug/ide system/coldplug/scsi;
	also_stop = system/bootmisc system/coldplug/pci system/coldplug/usb system/coldplug/isapnp system/coldplug/input system/coldplug/ide system/coldplug/scsi;
	use = system/modules/depmod system/modules;
}
